/* ipuz-magic.h
 *
 * Copyright 2021 Jonathan Blandford <jrb@gnome.org>
 *
 * This file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

#pragma once

#include "ipuz-puzzle.h"

#define _IPUZ_VERSION_2         "http://ipuz.org/v2"
#define _IPUZ_CROSSWORD_PREFIX  "http://ipuz.org/crossword"
#define _IPUZ_DEFAULT_BLOCK     "#"
#define _IPUZ_DEFAULT_EMPTY     "0"
#define _IPUZ_DEFAULT_LOCALE    "C"
#define _IPUZ_X_LICENSE_TAG     "org.gnome.libipuz:license"
#define _IPUZ_X_LOCALE_TAG      "org.gnome.libipuz:locale"

void _ipuz_puzzle_deep_clone (IPuzPuzzle *src,
                              IPuzPuzzle *dest);

